/**
 * Block Name: Google Map
*/

//  Import CSS.
import attributes from './attributes';
import edit from './edit';
import './editor.scss';
import save from './save';
import './style.scss';

const { __ } = wp.i18n;
const { registerBlockType } = wp.blocks;

/**
 * Register: Google Map
 */
registerBlockType( 'emgb/map', {
	title: __( 'Google Map' ),
	description: __( 'Show location with Google Map' ),
	icon: {
		src: 'location',
		foreground: '#1DB954'
	},
	category: 'common',
	keywords: [
		__( 'Map' ),
		__( 'Google Map' ),
		__( 'Location' ),
	],
	attributes, 
	edit,
	save,
} );
